.header > * {
  position: fixed;
  top: 24px;
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

.header > h1 {
  left: 50%;
  transform: translateX(-50%);
  z-index: 98;
  font-size: clamp(24px, 3vw, 64px);
  line-height: 80%;
  text-align: center;
}

.header > div > button,
.header > div > a {
  height: fit-content;
  border-radius: 6px;
  background: rgba(230, 230, 230, 0.5);
  backdrop-filter: blur(12px);
  display: inline-flex;
  padding: 6px 12px;
  font-weight: 700;
}

.info_button_container > button:first-child {
  position: relative;
  width: 53px;
  transition: width 0.3s cubic-bezier(0.66, 0, 0.33, 1);
}

.info_button_container > button:first-child.active {
  width: 65.3px;
}

.info_text,
.close_text {
  transition: opacity 0.3s cubic-bezier(0.66, 0, 0.33, 1) 0ms;
}

.info_text {
  position: absolute;
  inset: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

.close_text {
  opacity: 0;
}

.info_button_container {
  display: flex;
  flex-direction: row;
  gap: 2px;
}

.info_button_container > button:first-child.active .info_text {
  opacity: 0;
}

.info_button_container > button:first-child.active .close_text {
  opacity: 1;
}

.header > div {
  display: flex;
  z-index: 100;
}

.header > div:nth-child(1) {
  left: 24px;
}

.header > div:nth-child(3) {
  right: 24px;
}

.container {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  padding: 24px;
}

.content {
  width: 75%;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  gap: 32px;
}

.content > p {
  font-size: clamp(24px, 3.25vw, 72px);
  line-height: 120%;
  text-wrap: pretty;
}

.word {
  display: inline-block;
  opacity: 0;
  filter: blur(6px) saturate(500%);
  animation: wordReveal 1s cubic-bezier(0.66, 0, 0.33, 1) forwards;
  animation-delay: calc(var(--i) * 50ms + 200ms);
}

.gray {
  color: #EBEBEB;
}

.gray_2 {
  opacity: 0.66;
}

@keyframes wordReveal {
  to {
    opacity: 1;
    filter: blur(0) saturate(0%);
  }
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.1);
  backdrop-filter: blur(24px);
  z-index: 99;
  padding-bottom: 24px;
  padding-top: 24px;
  display: flex;
  justify-content: safe center;
  align-items: center;
  flex-direction: column;
  gap: 12px;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.3s cubic-bezier(0.66, 0, 0.33, 1);
  overflow-y: auto;
}

.overlay.active {
  opacity: 1;
  pointer-events: auto;
}

.overlay > div > p {
  font-size: clamp(16px, 1.25vw, 24px);
  line-height: 120%;
  font-family: "Turner_Regular", sans-serif;
  font-weight: 400;
}

.overlay > div {
  width: 33%;
  display: flex;
  flex-direction: column;
  flex-shrink: 0;
  border-radius: 12px;
  background: rgba(230, 230, 230, 0.33);
  padding: 24px;
}

.mobile_coming_soon {
  display: none !important;
}

@media (width <=1250px) {
  .content {
    width: 100%;
  }

  .overlay > div {
    width: 75%;
  }
}

@media (width <=500px) {
  .header > * {
    top: 12px;
  }

  .header > h1 {
    left: 12px;
    transform: none;
    text-align: left;
  }

  .header > div:nth-child(1) {
    left: auto;
    right: 12px;
  }

  .header > div:nth-child(3) {
    display: none;
  }

  .container {
    padding: 12px;
  }

  .content > p {
    line-height: 120%;
  }

  .overlay > div {
    padding: 12px;
    width: 100%;
  }

  .overlay {
    justify-content: flex-start;
    padding: 12px;
    padding-top: calc(83px + 24px);
  }

  .info_button_container {
    flex-direction: column;
    align-items: flex-end;
  }

  .mobile_coming_soon {
    display: inline-flex !important;
    opacity: 0;
    transition: opacity 0.3s cubic-bezier(0.66, 0, 0.33, 1);
  }

  .mobile_coming_soon.active {
    opacity: 1;
  }
}